{% extends 'base.html' %}
{% load static %}

{% block footer_style %}relative{% endblock %}

{% block content %}

        <div class="d-flex flex-column my-3 berita-content">
            <h1 class="text-center">Form Tambah Data</h1>
        <div class="card my-5 border-custom">
            <div class="card-body p-5">
                <form id="form" method="POST" action="">
                    {% csrf_token %}
                    <div class="form-group">
                        {{form.nama_pulau.label_tag}}
                        {{form.nama_pulau}}
                    </div>
                    <div class="form-group">
                        {{form.nama_provinsi.label_tag}}
                        {{form.nama_provinsi}}
                    </div>
                    <div class="form-group">
                        {{form.info_protokol_kesehatan.label_tag}}
                        {{form.info_protokol_kesehatan}}
                    </div>
                    <div class="form-group">
                        {{form.Alamat_Web.label_tag}}
                        {{form.Alamat_Web}}
                    </div>
                    <div class="form-group">
                        {{form.Email_Pemda.label_tag}}
                        {{form.Email_Pemda}}
                    </div>
                    <div class="form-group">
                        {{form.Nomor_Telpon.label_tag}}
                        {{form.Nomor_Telpon}}
                    </div>
                    <div class="form-group">
                        {{form.Email_User.label_tag}}
                        {{form.Email_User}}
                    </div>
                    <button class="btn btn-primary" type="submit">Kirim</button>
                </form>
                    
                </div>
            </div>
        </div>

    
    <div class="container form">
        <div id="tabelData" >
        <h1 class="text-center">Daftar Masukan Tambah Data</h1>
        <table class="table mt-5">
            <thead class="thead-dark">
                <th>Provinsi</th>
                <th>Pulau</th>
                <th>Protokol Kesehatan</th>
                <th>Alamat Website</th>
                <th>Email Pemda</th>
                <th>No Telpon Pemda</th>
            </thead>
            <tbody id="tambahData">
                
            </tbody>
        </table>
        </div>

        {% for info in infos %}

        <div class="tambahData">
          <div class="row">
            <div class="col-sm-12">
              <div class="card">
                <div class="card-header">Masukan Tambah Data {{forloop.counter}}</div>
                <div class="card-body">
                  <div class="card-body text-secondary">
                  <h3 class="card-text"><strong>Pulau :</strong><br>{{info.info_id.nama_provinsi.nama_pulau.nama}}</h3>
                  <h3 class="card-text"><strong>Provinsi:</strong><br> {{info.info_id.nama_provinsi.nama}}</h3>
                  <h3 class="card-text"><strong>Info Protokol:</strong><br>{{info.info_id.protokol_kesehatan}}</h3>
                  <h3 class="card-text"><strong>Website Pemda:</strong><br>{% for alamat in info.info_id.website_pemda.all %}
                                                                    <li>{{alamat.alamat}}</li>
                                                                        {% endfor %} </h3>
                  <h3 class="card-text"><strong>Email Pemda:</strong><br> {% for email in info.info_id.email_pemda.all %}
                                                                    <li>{{email.email}}</li>
                                                                        {% endfor %}</h3>
                  <h3 class="card-text"><strong>Telpon Pemda:</strong><br>{% for telpon in info.info_id.telpon_pemda.all %}
                                                                    <li>{{telpon.nomor_telpon}}</li>
                                                                        {% endfor %}</h3> 
            </div>
          </div>
              </div>
            </div>
          </div>
        </div>
        {%endfor%}
    </div>

{% endblock content %}

{% block js %}
<script type='text/javascript' src="{% static 'tambahData/javascript/tambah_form.js'%}"></script>
{% endblock %}
